### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
ImpliedVolTermStructure Class Reference

Implied vol term structure at a given date in the future. More...

`#include <ql/termstructures/volatility/equityfx/impliedvoltermstructure.hpp>`

Inheritance diagram for ImpliedVolTermStructure:
[legend]

List of all members.

## Public Member Functions

| ImpliedVolTermStructure (const Handle< BlackVolTermStructure > &origTS, const Date &referenceDate)
TermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Date | maxDate () const
| the latest date for which the curve can return values
VolatilityTermStructure interface
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

virtual Real | blackVarianceImpl (Time t, Real strike) const
| Black variance calculation.

## Detailed Description

Implied vol term structure at a given date in the future.

The given date will be the implied reference date.

Note:
  This term structure will remain linked to the original structure, i.e., any changes in the latter will be reflected in this structure as well.

Warning:
  It doesn't make financial sense to have an asset-dependant implied Vol Term Structure. This class should be used with term structures that are time dependant only.